Update a filter set - Gable Docs
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
PUT
/v0/components/{componentId}/filter-sets/{filterSetId}
Update a filter set
cURL
curl --request PUT \
--url https://demo-api.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '\n{
"name": "<string>",
"payloads": [\
{\
"payloadName": "<string>",\
"note": "<string>"\
}\
]\n}'
Python
import requests
url = "https://demo-api.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}"
payload = {
"name": "<string>",
"payloads": [\
{\
"payloadName": "<string>",\
"note": "<string>"\
}\
]
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', payloads: [{payloadName: '<string>', note: '<string>'}]})
};
fetch('https://demo-api.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP
$curl = curl_init();
curl_setopt_array($curl, [\
CURLOPT_URL => "https://demo-api.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}",\
CURLOPT_RETURNTRANSFER => true,\
CURLOPT_ENCODING => "",\
CURLOPT_MAXREDIRS => 10,\
CURLOPT_TIMEOUT => 30,\
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
CURLOPT_CUSTOMREQUEST => "PUT",\
CURLOPT_POSTFIELDS => json_encode([\
'name' => '<string>',\
'payloads' => [\
[\
'payloadName' => '<string>',\
'note' => '<string>'\
]\
]\
]),\
CURLOPT_HTTPHEADER => [\
"Content-Type: application/json",\
"X-API-KEY: <api-key>"\
],\
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://demo-api.gable.ai/v0/components/{componentId}/filter-sets/{filterSetId}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"payloads\": [\n {\n \"payloadName\": \"<string>\",\n \"note\": \"<string>\"\n }\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("X-API-KEY", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response
200 - application/json
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"componentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"payloads": [\
{\
"payloadName": "<string>",\
"note": "<string>"
}\
],
"createdBy": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
Authorizations
X-API-KEY
- string
- header
- required
Path Parameters
- componentId: string
(required) - UUID of the ground-truth component. - filterSetId: string
(required) - UUID of the filter set.
Body
application/json
Request body to update a measurement-report filter set.
- name: string (required) - Human-readable name for the filter set.
- payloads: object[] (required) - Payloads included when this filter set is applied.
Response Attributes
- id: string
(required) - Unique identifier for the filter set. - componentId: string
(required) - Ground-truth component this filter set is associated with. - name: string (required) - Human-readable name for the filter set.
- payloads: object[] (required) - Payloads included when this filter set is applied.
- createdBy: string - Email of the user who created the filter set.
- createdAt: string - ISO timestamp when the filter set was created.
- updatedAt: string - ISO timestamp when the filter set was last updated.